curl --request GET \
--url https://api-testbed.giftbit.com/papi/v1/gifts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-testbed.giftbit.com/papi/v1/gifts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-testbed.giftbit.com/papi/v1/gifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gifts": [
{
"uuid": "d30be501ed2546e580c5c9eaf56633d9",
"campaign_uuid": "8f5835dfb637413793c5d55f8ea95e23",
"delivery_status": "DELIVERED",
"status": "SENT_AND_REDEEMABLE",
"management_dashboard_link": "http://testbedapp.giftbit.com/campaign/campaignInfo?uuid=8f5835dfb637413793c5d55f8ea95e23&gift_uuid=d30be501ed2546e580c5c9eaf56633d9",
"redelivery_count": 0,
"campaign_id": "may11",
"price_in_cents": 500,
"brand_code": "itunesus",
"marketplacegift_id": "1",
"created_date": "2016-05-11 12:18:25",
"delivery_date": "2016-05-11 12:18:32"
}
],
"number_of_results": 1,
"limit": 1,
"offset": 0,
"total_count": 8355,
"info": {
"code": "INFO_GIFTS",
"name": "Gift information retrieved",
"message": "Returned gifts matching your search parameters."
},
"status": 200
}List rewards
Retrieves the details and status of rewards you’ve previously ordered through
/campaign, /direct_links, or /embedded. All date/time fields are in
Pacific Standard Time.
Authorizations
Send your API token prefixed by Bearer in the Authorization header.
Query Parameters
Return the reward with matching uuid.
Filter rewards by the order with the matching uuid.
Filter rewards by the order with the matching order id.
Filter by recipient name (at least 3 characters).
Filter by recipient email (at least 3 characters).
UNSENT, DELIVERED, UNDELIVERABLE, TEMPORARILY_UNDELIVERABLE, UNSUBSCRIBED, COMPLAINT SENT_AND_REDEEMABLE, REDEEMED, TO_CHARITY, GIVER_CANCELLED, EXPIRED Format yyyy-MM-dd HH:mm:ss.
Format yyyy-MM-dd HH:mm:ss.
Format yyyy-MM-dd HH:mm:ss.
Format yyyy-MM-dd HH:mm:ss.
Format yyyy-MM-dd HH:mm:ss.
Format yyyy-MM-dd HH:mm:ss.
Maximum number of rewards to return. Default 20.
Offset of the first reward in the total results. Default 0.
campaign_id, price_in_cents, recipient_name, recipient_email, delivery_status, status Sort order. Default desc.
asc, desc